{
    "$graph": [
        {
            "label": "extract_gencoll_ids",
            "class": "CommandLineTool",
            "baseCommand": "gc_extract_ids",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#extract_gencoll_ids.cwl/assemblies"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#extract_gencoll_ids.cwl/o"
                }
            ],
            "id": "#extract_gencoll_ids.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o)"
                    },
                    "id": "#extract_gencoll_ids.cwl/gc_id_list"
                }
            ]
        },
        {
            "label": "extract_gencoll_ids",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/assemblies"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/extract_gencoll_ids/gc_id_list",
                    "id": "#main/gc_id_list"
                }
            ],
            "steps": [
                {
                    "run": "#extract_gencoll_ids.cwl",
                    "in": [
                        {
                            "source": "#main/assemblies",
                            "id": "#main/extract_gencoll_ids/assemblies"
                        },
                        {
                            "default": "gc_id.list",
                            "id": "#main/extract_gencoll_ids/o"
                        }
                    ],
                    "out": [
                        "#main/extract_gencoll_ids/gc_id_list"
                    ],
                    "id": "#main/extract_gencoll_ids"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.2"
}
